> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate Invite Link

> Regenerate an invite link token. Owner only.

The old token is invalidated immediately.



## OpenAPI

````yaml post /orgs/{org_id}/invite-links/{link_id}/regenerate
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/{org_id}/invite-links/{link_id}/regenerate:
    post:
      tags:
        - organizations
      summary: Regenerate Invite Link
      description: |-
        Regenerate an invite link token. Owner only.

        The old token is invalidated immediately.
      operationId: >-
        regenerate_invite_link_orgs__org_id__invite_links__link_id__regenerate_post
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
        - name: link_id
          in: path
          required: true
          schema:
            type: string
            title: Link Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteLinkResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InviteLinkResponse:
      properties:
        id:
          type: string
          title: Id
          description: Invite link ID
        role:
          type: string
          enum:
            - viewer
            - editor
          title: Role
          description: Role granted by this link
        token:
          type: string
          title: Token
          description: Invite link token
        is_active:
          type: boolean
          title: Is Active
          description: Whether the link is active
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
      type: object
      required:
        - id
        - role
        - token
        - is_active
        - created_at
        - updated_at
      title: InviteLinkResponse
      description: Response for a single invite link.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````